Index: c/src/lib/libbsp/i960/cvme961/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/i960/cvme961/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -26,4 +26,14 @@
             *(.text)
 	. = ALIGN (16);
+
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
 
 	*(.eh_fram)
Index: c/src/lib/libbsp/i960/i960sim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i960/i960sim/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/i960/i960sim/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -20,4 +20,14 @@
 	 _etext = .;
 	
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
+
 	___CTOR_LIST__ = .;
 	LONG((___CTOR_END__ - ___CTOR_LIST__) / 4 - 2)
Index: c/src/lib/libbsp/i960/rxgen960/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/i960/rxgen960/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -29,4 +29,14 @@
 	 _etext = .;
 	
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
+
 	___CTOR_LIST__ = .;
 	LONG((___CTOR_END__ - ___CTOR_LIST__) / 4 - 2)
Index: c/src/lib/libbsp/i960/rxgen960/startup/linkcmds.real
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/startup/linkcmds.real	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/i960/rxgen960/startup/linkcmds.real	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -107,4 +107,14 @@
 	        . = ALIGN (16);
 
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
+
         *(.eh_fram)
         . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/dmv152/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/dmv152/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -3,5 +3,5 @@
  *  to the DY-4 DMV152/SVME153 boards.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2003.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -66,4 +66,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/efi332/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/efi332/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -94,4 +94,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
      		 *
Index: c/src/lib/libbsp/m68k/efi332/startup/linkcmds_ROM
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/linkcmds_ROM	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/efi332/startup/linkcmds_ROM	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -103,4 +103,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
      		 *
@@ -116,8 +126,8 @@
 		. = ALIGN (16);
 		*crtbegin.o(.ctors)
-    *(.ctors)
+		*(.ctors)
 		*crtend.o(.ctors)
 		*crtbegin.o(.dtors)
-    *(.dtors)
+		*(.dtors)
 		*crtend.o(.dtors)
 
@@ -143,5 +153,5 @@
   {
                 PROVIDE (_copy_start = .);
-    *(.data)
+		*(.data)
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
@@ -152,6 +162,6 @@
         .bss : {
                 _clear_start = .;
-    *(.bss)
-    *(COMMON)
+		*(.bss)
+		*(COMMON)
                 . = ALIGN (16);
                 PROVIDE (end = .);
Index: c/src/lib/libbsp/m68k/efi68k/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/efi68k/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -101,4 +101,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
      		 *
Index: c/src/lib/libbsp/m68k/gen68302/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/gen68302/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -69,4 +69,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/gen68340/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/gen68340/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -99,4 +99,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
      		 *
Index: c/src/lib/libbsp/m68k/gen68360/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/gen68360/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -70,4 +70,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.bootp
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.bootp	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.bootp	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -77,4 +77,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
 		 */
Index: c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.prom
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.prom	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/gen68360/startup/linkcmds.prom	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -76,4 +76,14 @@
 
 		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
+
+		/*
 		 * C++ constructors/destructors
 		 */
Index: c/src/lib/libbsp/m68k/idp/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/idp/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -66,4 +66,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -74,6 +74,6 @@
    */
    .text : {
-           CREATE_OBJECT_SYMBOLS
-           *(.text)
+	   CREATE_OBJECT_SYMBOLS
+	   *(.text)
 
 	   /*
@@ -85,14 +85,24 @@
 	    * Initialization and finalization code.
 	    */
-           . = ALIGN (16);
+	   . = ALIGN (16);
 	   PROVIDE (_init = .);
 	   *crti.o(.init)
 	   *(.init)
 	   *crtn.o(.init)
-           . = ALIGN (16);
+	   . = ALIGN (16);
 	   PROVIDE (_fini = .);
 	   *crti.o(.fini)
 	   *(.fini)
 	   *crtn.o(.fini)
+
+	   /*
+	    * Special FreeBSD sysctl sections.
+	    */
+	   . = ALIGN (16);
+	   __start_set_sysctl_set = .;
+	   *(set_sysctl_*);
+	   __stop_set_sysctl_set = ABSOLUTE(.);
+	   *(set_domain_*);
+	   *(set_pseudo_*);
 
 	   /*
@@ -121,5 +131,5 @@
 	   *(.gnu.linkonce.r*)
 
-           . = ALIGN (16);
+	   . = ALIGN (16);
            PROVIDE (etext = .);
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds.flash
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds.flash	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds.flash	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -101,4 +101,14 @@
 
 	   /*
+	    * Special FreeBSD sysctl sections.
+	    */
+	   . = ALIGN (16);
+	   __start_set_sysctl_set = .;
+	   *(set_sysctl_*);
+	   __stop_set_sysctl_set = ABSOLUTE(.);
+	   *(set_domain_*);
+	   *(set_pseudo_*);
+
+	   /*
 	    * C++ constructors/destructors
 	    */
Index: c/src/lib/libbsp/m68k/mvme136/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mvme136/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -75,4 +75,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/mvme147/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mvme147/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -70,4 +70,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -70,4 +70,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/mvme162/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mvme162/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -73,4 +73,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/mvme167/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/mvme167/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -78,4 +78,14 @@
     *(.fini)
     *crtn.o(.fini)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
 
     /*
Index: c/src/lib/libbsp/m68k/ods68302/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/ods68302/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -68,4 +68,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/m68k/sim68000/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/m68k/sim68000/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -63,4 +63,14 @@
 		*(.fini)
 		*crtn.o(.fini)
+
+		/*
+		 * Special FreeBSD sysctl sections.
+		 */
+		. = ALIGN (16);
+		__start_set_sysctl_set = .;
+		*(set_sysctl_*);
+		__stop_set_sysctl_set = ABSOLUTE(.);
+		*(set_domain_*);
+		*(set_pseudo_*);
 
 		/*
Index: c/src/lib/libbsp/mips/genmongoosev/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/mips/genmongoosev/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -42,4 +42,14 @@
       *(.rel.dyn)
       PROVIDE (__runtime_reloc_stop = .);
+
+      /*
+       * Special FreeBSD sysctl sections.
+       */
+      . = ALIGN (16);
+      __start_set_sysctl_set = .;
+      *(set_sysctl_*);
+      __stop_set_sysctl_set = ABSOLUTE(.);
+      *(set_domain_*);
+      *(set_pseudo_*);
 
       *(.gcc_except_table)
Index: c/src/lib/libbsp/mips/jmr3904/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/mips/jmr3904/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -28,4 +28,14 @@
       *(.rel.sdata)
       PROVIDE (__runtime_reloc_stop = .);
+
+      /*
+       * Special FreeBSD sysctl sections.
+       */
+      . = ALIGN (16);
+      __start_set_sysctl_set = .;
+      *(set_sysctl_*);
+      __stop_set_sysctl_set = ABSOLUTE(.);
+      *(set_domain_*);
+      *(set_pseudo_*);
 
       *(.gcc_except_table)
Index: c/src/lib/libbsp/mips/p4000/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/mips/p4000/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/mips/p4000/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -21,4 +21,15 @@
     *(.text)
     *(.text.*)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     *(.gnu.linkonce.t*)
     *(.mips16.fn.*)
Index: c/src/lib/libbsp/mips64orion/p4000/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/mips64orion/p4000/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -21,4 +21,15 @@
     *(.text)
     *(.text.*)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     *(.gnu.linkonce.t*)
     *(.mips16.fn.*)
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -26,4 +26,14 @@
         *(.text)
 	. = ALIGN (16);
+
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
 
 	*(.eh_fram)
Index: c/src/lib/libbsp/or32/orp/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/or32/orp/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/or32/orp/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -28,4 +28,14 @@
 	. = ALIGN (16);
 	
+	/*
+	 * Special FreeBSD sysctl sections.
+	 */
+	. = ALIGN (16);
+	__start_set_sysctl_set = .;
+	*(set_sysctl_*);
+	__stop_set_sysctl_set = ABSOLUTE(.);
+	*(set_domain_*);
+	*(set_pseudo_*);
+
 	*(.eh_fram)
 	. = ALIGN (16);
Index: c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -51,4 +51,15 @@
     *(.gnu.linkonce.t.*)
     *(.descriptors)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -41,4 +41,15 @@
 	     *(.text)
 	     *(.rodata*)
+
+             /*
+              * Special FreeBSD sysctl sections.
+              */
+             . = ALIGN (16);
+             __start_set_sysctl_set = .;
+             *(set_sysctl_*);
+             __stop_set_sysctl_set = ABSOLUTE(.);
+             *(set_domain_*);
+             *(set_pseudo_*);
+
              *(.eh_frame)
              *(.gnu.linkonce.r*)
Index: c/src/lib/libbsp/powerpc/gen405/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/gen405/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/gen405/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -37,4 +37,15 @@
      *(.rodata*)
      *(.rodata1)
+
+     /*
+      * Special FreeBSD sysctl sections.
+      */
+     . = ALIGN (16);
+     __start_set_sysctl_set = .;
+     *(set_sysctl_*);
+     __stop_set_sysctl_set = ABSOLUTE(.);
+     *(set_domain_*);
+     *(set_pseudo_*);
+
      *(.eh_frame)
      *(.gnu.linkonce.r*)
Index: c/src/lib/libbsp/powerpc/helas403/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/helas403/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -39,4 +39,15 @@
      *(.gnu.linkonce.r.*)
      *(.rodata1)
+
+     /*
+      * Special FreeBSD sysctl sections.
+      */
+     . = ALIGN (16);
+     __start_set_sysctl_set = .;
+     *(set_sysctl_*);
+     __stop_set_sysctl_set = ABSOLUTE(.);
+     *(set_domain_*);
+     *(set_pseudo_*);
+
      *(.eh_frame)
      *(.descriptors)
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -107,4 +107,14 @@
     PROVIDE (__DTOR_END__ = .);
 	
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* Exception frame info */
     *(.eh_frame)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -59,4 +59,15 @@
   {
     *(.text)	
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -45,4 +45,15 @@
   {
     *(.text)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     *(.gnu.linkonce.t.*)
     *(.descriptors)
Index: c/src/lib/libbsp/powerpc/psim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -62,4 +62,15 @@
     *(.gnu.linkonce.t.*)
     *(.descriptors)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/powerpc/score603e/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/score603e/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -58,4 +58,15 @@
     *(.gnu.linkonce.t.*)
     *(.descriptors)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/powerpc/shared/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/shared/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/powerpc/shared/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -56,4 +56,15 @@
   {
     *(.text)	
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/sh/gensh1/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/gensh1/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sh/gensh1/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -102,4 +102,15 @@
     *(.text)
     *(.stub)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/sh/gensh4/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/gensh4/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sh/gensh4/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -50,4 +50,15 @@
     *(.text)
     *(.text.*)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/sh/shsim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/shsim/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sh/shsim/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -94,4 +94,15 @@
     *(.text)
     *(.stub)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/sh/simsh4/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -82,4 +82,15 @@
     *(.text)
     *(.stub)
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
Index: c/src/lib/libbsp/sparc/erc32/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sparc/erc32/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -95,4 +95,15 @@
     . = ALIGN (16);
 
+
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     *(.eh_frame)
     . = ALIGN (16);
Index: c/src/lib/libbsp/sparc/leon/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sparc/leon/startup/linkcmds	(revision 7b0c547a8052a4066fe43900b14d042ff1edbfa4)
+++ c/src/lib/libbsp/sparc/leon/startup/linkcmds	(revision 9c1133e120e70d002abf9632bef4933ba598bd1f)
@@ -95,4 +95,14 @@
     . = ALIGN (16);
 
+    /*
+     * Special FreeBSD sysctl sections.
+     */
+    . = ALIGN (16);
+    __start_set_sysctl_set = .;
+    *(set_sysctl_*);
+    __stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_domain_*);
+    *(set_pseudo_*);
+
     *(.eh_frame)
     . = ALIGN (16);
